API referenceEvents
List email events
GET
/eventsEvents of the project, newest first, cursor-paginated. Filter with type, email_id or recipient (an exact address, or a case-insensitive substring).
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Query Parameters
limit?integer
Range
1 <= value <= 100after?string
Length
1 <= length <= 64before?string
Length
1 <= length <= 64type?string
Value in
- "sent"
- "delivered"
- "delivery_delayed"
- "bounced"
- "complained"
- "opened"
- "clicked"
- "rejected"
- "failed"
- "received"
email_id?string
Stamp0 em_ identifier
Match
^em_[0-9A-Za-z]{16}$recipient?string
Length
1 <= length <= 320Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/events"{ "object": "list", "has_more": true, "data": [ { "object": "email_event", "id": "string", "type": "sent", "email_id": "string", "received_email_id": "string", "recipient": "string", "bounce_type": "hard", "data": { "property1": null, "property2": null }, "occurred_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ]}